apiVersion: kubeadm.k8s.io/v1beta4
kind: JoinConfiguration
discovery:
  bootstrapToken:
    apiServerEndpoint: "%CP_ENDPOINT%"
    token: "%BOOTSTRAP_TOKEN%"
    caCertHashes:
    - "%CA_CERT_HASH%"
nodeRegistration:
  criSocket: "unix:///run/containerd/containerd.sock"
  kubeletExtraArgs:
  - name: node-ip
    value: "%LOCAL_IPS%"
---
apiVersion: kubeproxy.config.k8s.io/v1alpha1
kind: KubeProxyConfiguration
clusterCIDR: "%POD_SUBNETS%"
#mode: "%KUBE_PROXY_MODE%"
